mersenneforum.org  

Go Back   mersenneforum.org > Great Internet Mersenne Prime Search > Hardware > GPU Computing

Reply
 
Thread Tools
Old 2016-03-06, 04:11   #1
petrw1
1976 Toyota Corona years forever!
 
petrw1's Avatar
 
"Wayne"
Nov 2006
Saskatchewan, Canada

41×107 Posts
Default CUDA Install errors...HELP...never mind

Synopsis:

My GTX 970 GPU died; I got a new one on warranty.

At the same time (maybe due to moving the CPU to the repair shop) I also lost my hard drive.

New hard drive; new install of Windows 7 means I lost all the CUDA/MisFit/Mfaktc stuff.

Replacement GTX 970 installed (by me ... no expert but trying.)

Windows 7 installed the Driver (though not sure the right one or all of them).

Downloaded and ran mfaktc-win-64.

Error:
CUDA version info
binary compiled for CUDA 6.50
CUDA runtime version 12517.66
CUDA driver version 0.0
ERROR: current CUDA driver version is lower than the CUDA toolkit version used during compile!
Please update your graphics driver.

I went to the CUDA website and downloaded and installed:
cuda_6.5.14_windows_general_64

During install I got a couple errors....see attachment...first error on left then error on right.

Seems it does not think I have have the right card...or is a driver missing.

I tried rerunning mfaktc and got the same error as above
Attached Thumbnails
Click image for larger version

Name:	CUDA Errors.jpg
Views:	82
Size:	118.7 KB
ID:	14006  

Last fiddled with by petrw1 on 2016-03-06 at 04:58 Reason: False Alarm..found required video driver....
petrw1 is offline   Reply With Quote
Old 2016-03-06, 12:01   #2
manfred4
 
manfred4's Avatar
 
Mar 2014
Germany

11110002 Posts
Default

Those errors look like the System does not know yet, what your card is. And CUDA does not need to be installed seperately to run CUDALucas. And the fact that your windows installed the graphics drivers doesn't sound right to me.

What I would do: Go to NVIDIAs page and download/install the newest driver for your card manually - after this the programs should work, if you just download the cudart and cufft dlls and put them in the same folder as the program.
manfred4 is offline   Reply With Quote
Old 2016-03-06, 13:39   #3
TheJudger
 
TheJudger's Avatar
 
"Oliver"
Mar 2005
Germany

33×41 Posts
Default

Hi,

Quote:
Originally Posted by petrw1 View Post
CUDA version info
binary compiled for CUDA 6.50
CUDA runtime version 12517.66
CUDA driver version 0.0
ERROR: current CUDA driver version is lower than the CUDA toolkit version used during compile!
Please update your graphics driver.
AFAIK the main reason for this behaviour is a wrong runtime library is used. A few years ago I've asked nvidia (actually I filed a bug) but they say it works as designed. Using wrong runtime library (read: not the version used during compile) causes multiple issues including reading the version of the runtime library and is not supported.

Oliver
TheJudger is offline   Reply With Quote
Reply

Thread Tools


Similar Threads
Thread Thread Starter Forum Replies Last Post
Mind checking out my program I wrote? CadeBrown Computer Science & Computational Number Theory 35 2016-04-12 14:55
Linux install of CUDA toolkit for GT 430 card, maybe… ewmayer GPU Computing 66 2015-01-10 08:46
Georgia on my mind davieddy Soap Box 5 2008-08-18 22:30
How do I get my ubuntu install past minimal install? jasong Linux 2 2006-12-07 00:38
Mind Boggling Number mfgoode Math 22 2004-02-23 10:39

All times are UTC. The time now is 23:33.

Fri Sep 25 23:33:14 UTC 2020 up 15 days, 20:44, 1 user, load averages: 1.35, 1.36, 1.41

Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2020, Jelsoft Enterprises Ltd.

This forum has received and complied with 0 (zero) government requests for information.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation.
A copy of the license is included in the FAQ.